                     Red Hat Linux 8.0 Release Notes

   Copyright (c) 2002 Red Hat, Inc.

     ----------------------------------------------------------------------

Anaconda/Installation Program Notes

  Miscellaneous

     o The installer has a built-in ability to test the integrity of the
       install media. It works with the CD, DVD, hard drive ISO, and NFS ISO
       installation methods. It is recommended to test all install media
       before installation and before reporting any installation issues. To
       use this test, type linux mediacheck at the boot: prompt.

     o If you have a problem with installation, test your install media
       before reporting a bug. A significant number of the issues reported
       are from badly burned CD. Also, when entering an installation bug,
       select the anaconda component.

     o A new installation type called Personal Desktop is available, which
       installs pre-selected software for home or small-office use. It is
       possible later in the installation process to modify the software
       selection if you need a package that is not included in the Personal
       Desktop installation type by default.

       The Workstation installation type has been redesigned for users who
       are interested in software development or system administration.

     o The graphical installation program has a new package group selection
       screen that eases the process of customizing the software installed.
       If you choose a Server or Custom installation type, the package group
       selection screen will be displayed by default. If you choose a
       Personal Desktop or Workstation installation type, the installation
       program allows you to either customize packages with the package group
       selection screen or continue with the default package configuration.

     o The installation program no longer uses the frame buffer X server for
       graphical installation. First, it attempts to use a native server
       compatible with the system's video chipset; failing that, it attempts
       to use the generic vesa driver.

     o isolinux is now used for booting the CD. If you have problems booting
       from the CD, you can write the images/boot.img image to a diskette
       according to the directions in the Official Red Hat Linux Installation
       Guide.

       If you want to make your own CD to boot the installation program, copy
       the isolinux directory from the first CD into a temporary directory
       (cp -r /path/to/tree/isolinux/ /path/to/cdimage) and then run the
       following command:

       mkisofs -o /path/to/file.iso -b isolinux/isolinux.bin -c
       isolinux/boot.cat -no-emul-boot -boot-load-size 4 -boot-info-table -R
       -J -V -T /path/to/cdimage

     o It is now possible to specify the boot order of your drives. To access
       this function, choose to configure advanced boot loader options from
       the graphical installation program.

     o The components file comps has been replaced by an XML-based file
       comps.xml. The new format allows greater customization; however, if
       you have modified comps in the past, you must convert it to the new
       XML-based format.

     o It is now possible to perform a network installation after booting
       from the CD. Type linux askmethod at the boot: prompt to be prompted
       for the install source when booting from CD.

     o The installation program automatically configures a USB mouse in the X
       configuration file that it writes out, even if a USB mouse is not
       present at installation time; so, whenever a USB mouse is inserted, it
       will be functional.

     o It is now possible to install from an IEEE-1394 (FireWire(TM)) CD-ROM
       device. It requires being able to boot from the CD-ROM device.
       Installing to a IEEE-1394 hard drive is not supported.

     o The mkbootdisk utility now supports creating a bootable ISO-9660
       image. This is useful if the boot image is too large to fit on a
       floppy (for example, if LVM is used). The command line syntax for this
       option is:

       mkbootdisk --iso --device <output-iso-name> <kernel-version>

       where <output-iso-name> is the name of the output ISO-9660 image, and
       <kernel-version> is the version of the kernel.

     o For more information on installation program updates or other
       installation-related information, refer to
       http://rhlinux.redhat.com/anaconda/.

  Partitioning

     o There is now an option in Disk Druid to help create large RAID arrays
       consisting of drives which are identically partitioned. The Clone Tool
       allows you to select a source drive and copy its partitioning layout
       onto an arbitrary number of other drives in the system.

       NOTE: ALL DATA on the target drives will be DESTROYED!

       The Clone Tool can be accessed by clicking on the RAID button. At
       least one unallocated software RAID partition must exist before the
       option will be available.

       The source drive must meet the following criteria:

       . It can only contain software RAID partitions

       All the partitions must be constrained to the source drive (this can
       be set in the Allowed Drives checklist box when you edit the
       individual partitions). Pre-existing partitions satisfy this
       constraint by nature.

       . None of the software RAID partitions can be currently allocated to a
       RAID device.

       Each of the target drives must meet these criteria:

       . It must be as large as the sum of the starting sizes (before growing
       takes affect) of all the partitions on the source drive.

       . It cannot contain partitions which are members of RAID device or a
       LVM Volume Group, as this would prevent the removal of all the
       partitions on the target drive.

       This option is only available in the GUI installation program
       currently.

     o It is now possible to remove all partitions on a drive by selecting
       the drive in the GUI tree view and clicking the Delete button. You
       will receive a warning if some of the partitions could not be removed
       (due to being members of a RAID device or a LVM Volume Group). Note
       that this option is only available in the GUI installation program
       currently.

     o Logical Volume Management (LVM) configuration is now available during
       installation.

       To configure LVM during installation:

       1) Create a new partition of type physical volume (LVM). A physical
       volume must be constrained to one drive, and you can create more than
       one physical volume.

       2) Click the LVM button in Disk Druid to collect the physical volumes
       into volume groups. A volume group is basically a collection of
       physical volumes. You can have multiple volume groups, but a physical
       volume can only be in one volume group.

       3) For each volume group you need to create logical volumes (LV) which
       are assigned mount points and file system types.

       You may want to leave some free space in the volume group so that you
       can increase the size of the logical volumes within it after
       installation.

     o The /boot partition cannot be in a logical volume. If the root (/)
       partition is a logical volume, you need to create a separate /boot
       partition, which is not a part of a volume group.

     o You can create and edit volume groups in the graphical installation
       program. In text installation program, you can only assign mount
       points to existing logical volumes.

  Kickstart

     o There is kickstart support for using LVM. To use it, you need
       something similar to the following partitioning section in your
       kickstart configuration file:

       part /boot --size 50

       part swap --recommended

       part pv.01 --size 3000

       volgroup myvg pv.01

       logvol / --vgname myvg --size=2000 --name=rootvol

       More information is available in the Official Red Hat Linux
       Customization Guide.

     o Two commands are available in the installation environment which can
       be useful for creating dynamic kickstart files. The list-harddrives
       command will list the available block devices by device name, with the
       size (in units of 1k) in the second column. This command enables the
       creation of a kickstart include file with partitioning commands based
       on the probed hardware.

       The other command is kudzu-probe, which lists all the common types of
       hardware that are detected. This can be useful to adjust the behavior
       of a kickstart script through kickstart include files based on the
       detected hardware configuration.

Distribution General Notes

     o Red Hat Linux now installs using UTF-8 (Unicode) locales by default in
       languages other than Chinese, Japanese, or Korean.

       This has been known to cause various issues:

       . Line drawing characters in applications such as make menuconfig do
       not always appear correctly in certain locales.

       . On the console, the latarcyrheb-sun16 font is used for best Unicode
       coverage. Due to the use of this font, bold colors are not available.

       . Certain third party applications, such as the Adobe(R) Acrobat
       Reader(R), may not function correctly (or crash upon startup) because
       they lack support for Unicode locales. Until third party developers
       provide such support in their products, you may work around this issue
       by setting the LANG environment variable at the shell prompt to C
       prior to typing the application name. For example:

       env LANG=C acroread

     o The OpenOffice.org office suite is now included.

     o Due to patent licensing, and conflicts between such patent licenses
       and the licenses of application source code, MPEG-1/2 audio layer 3
       (mp3) support has been removed from applications in Red Hat Linux such
       as XMMS and noatun. Red Hat suggests the use of Ogg Vorbis(TM), an
       open, non-proprietary, patent-and-royalty-free compressed audio
       format.

     o dhclient (from the dhcp package) is now the default DHCP client.

     o Red Hat Linux now uses Xft for fonts in GNOME and KDE, which uses
       fontconfig for configuring fonts. The old style Xft config file
       /etc/X11/XftConfig is no longer used or supported, having been
       replaced by the new unified fontconfig method of configuration. The
       fontconfig config file can be customized by editing
       /etc/fonts/fonts.conf file.

       If you have fonts that you would like to add to your configuration,
       you can copy them to ~/.fonts (or /usr/share/fonts), and run fc-cache
       directory. The fonts will then be available.

     o GNOME 2.0 is now included and contains the following improvements and
       features over previous versions:

       . User-configurable support for anti-aliased fonts

       . Fixes to address flickering application window issues

       . Images are composited onto backgrounds with full alpha blending

       . Usability improvements, including dragging application windows to
       other workspaces using the Workspace Switcher applet, support for
       scrolling in long menus, and more

       . New, streamlined help application

       . Rewritten terminal application supporting tabs and personal profiles

       . Considerable performance improvements, particularly in the Nautilus
       file manager

       . Control panels have been simplified considerably

       . Full keyboard navigation of the user interface

       . GNOME 2.0 uses Unicode natively, allowing users to create and
       manipulate documents in multiple languages

     o The GNOME Display Manager is now the default login and session
       manager. If you are upgrading from Red Hat Linux 7.3 or earlier and
       want to continue using your configured display manager (such as KDM or
       XDM), then you must add the following line to your
       /etc/sysconfig/desktop file.

       For KDM:

       DISPLAYMANAGER="KDE"

       For XDM:

       DISPLAYMANAGER="XDM"

     o Legacy XFree86 3.3.6 video hardware support has now been removed from
       the distribution and is no longer supported. XFree86 4.2.0 is now the
       only X server shipped with Red Hat Linux. Hardware which has
       previously defaulted to using XFree86 3.3.6, now defaults to the
       native XFree86 4.x driver for the given video chipset if XFree86 4.x
       has any native support for the given chip. If there is no native
       driver in 4.x for a particular video chip, or if the native driver
       does not work properly, then the "vesa" driver will be used by default
       which uses the VESA Video BIOS Extension support present in the card's
       own BIOS to provide minimal 2D video support. Hardware for which
       neither of the above will work properly, are configured to use the VGA
       driver.

     o The XFree86 4.x configuration file is now /etc/X11/XF86Config, which
       replaces /etc/X11/XF86Config-4 which was used in previous releases.
       The XF86Config-4 file is a backward compatibility feature that
       XFree86.org added to XFree86 4.x in order to allow distribution
       vendors to be able to ship both 4.x and 3.3.6 and and allow them to
       coexist even though the config file formats are different. We no
       longer need to use this compatibility feature now that XFree86 3.3.6
       is no longer supported, so our configuration tools have been modified
       to now write out the XFree86 4.x config file as XF86Config, which is
       the default name XFree86 expects when not coexisting with 3.3.6. This
       also should simplify end user confusion problems that resulted from
       having two separate config files.

     o The Mesa libGL and libGLU shared libraries previously included as part
       of the XFree86-libs package are now separated into two new
       sub-packages, XFree86-Mesa-libGL and XFree86-Mesa-libGLU. This
       enhancement was made in order to make it easier for hardware vendors
       who ship their own libGL and/or libGLU to replace the Mesa ones
       supplied in Red Hat Linux. It also makes it easier for users to
       install third party video drivers which provide their own
       libGL/libGLU.

     o The first time Red Hat Linux boots, the Red Hat Linux Setup Agent is
       started. It allows the user to setup common system configurations,
       including the date, time, and sound card. It also allows the user to
       register the system with Red Hat Network and run the Red Hat Update
       Agent to download any software updates. The user can also install
       software from additional CDs from the Red Hat Linux product such as
       the Documentation CD.

     o The GNU Compiler Collection (GCC) has been updated to version 3.2 and
       features the following improvements and features:

       . Block reordering using branch prediction

       . Profile-driven optimizations

       . Further ISO C99 and ISO C++98 feature additions

       . Tree inlining of the C front end for further optimization during
       compilation

       . Improvements in AMD Athlon(TM) CPU and Intel IA-32 code generation
       performance

       . the preprocessor is 10-50% faster than the GCC 3.0 preprocessor

       . Dwarf-2 (which includes Dwarf-3 extensions) has replaced Stabs as
       the default debugging format for most ELF platforms

       . Support for debug information for macros has been added

       Note that because of significant ABI fixes, the C++ compiler included
       in GCC 3.2 produces code that is not binary compatible with previous
       versions of GCC, including versions 3.1.x and 2.96. Additionally,
       there are ABI fixes for the C compiler related to long long bitfields
       and where __attribute__((aligned (xxx))) type definitions used as base
       type bitfields work differently than using __attribute__((aligned
       (xxx))) directly on the bitfield.

       Note also that binary compatibility is not guaranteed for future C++
       compiler releases, as the need for standards compliant compilers may
       result in changes to the ABI.

     o The GNU Compiler for the Java(TM) Programming Language (GCJ) has been
       updated to version 3.2 and includes the following improvements and
       features over previous releases:

       . Overall improvement in compiler performance and compatibility as
       well as parallel make support

       . Support for RMI, java.lang.ref.*, javax.naming, and
       javax.transaction

       . Property files and other system resources can be compiled into
       executables which use libgcj using the new gcj --resource feature

       . Support for built-in functions for known methods, such as Math.cos

       . JNI and CNI invocation interfaces are now implemented, so
       gcj-compiled Java code can now be called from a C/C++ application

       . Automatic removal of redundant array-store checks in some common
       cases

       . The --no-store-checks optimization method is now available. This can
       be used to omit runtime store checks for code that is known not to
       give ArrayStoreException

       . The org.w3c.dom and org.xml.sax third-party interface standards have
       been added

       . java.security has been merged with GNU Classpath. The new package is
       now JDK 1.2 compliant, and is much more complete

       . java.lang.Character has been rewritten to comply with the Unicode
       3.0 standard as well as improve performance

       . Support for several additional locales have been added to libgcj

       . Socket timeouts have been implemented

       . libgcj has been merged into a single shared library. There are no
       longer separate shared libraries for garbage collector and zlib

       . libgcj includes support for hash synchronization (thin locks), a
       special allocation path for finalizer-free objects, Thread-local
       allocation, Parallel GC, and other GC modifications

     o The GNU debugger (gdb) has been updated to version 5.2.1 and includes
       the following major improvements and features over previous releases:

       . multiple bug fixes

       . improved C++ debugging support

       . A new command has been implemented called generate-core-file (or
       gcore), which allows the user to drop a core file of the child process
       state at any time

       . The following command-line option is now available: --pid or -p
       followed by a process id

       . There is a subtle change in behavior in the way that GDB handles
       command line arguments. The first non-flag argument is always a
       program to debug, but the second non-flag argument may either be a
       corefile or a process id. Previously, GDB would attempt to open the
       second argument as a corefile, and if that failed, would issue a
       superfluous error message and then attempt to attach it as a process.

       Now, if the second argument begins with a non-digit, it will be
       treated as a corefile. If it begins with a digit, GDB will attempt to
       attach it as a process, and if no such process is found, will then
       attempt to open it as a corefile

     o The GNU C Library (glibc) has been updated to version 2.3 code base
       and includes the following major improvements and features over
       previous releases:

       . new locale model

       . performance tuned malloc

       . locale archives

       . rewritten standard conformant regex for performance increase

       . additional robustness in addressing multiple bugs

     o The GNU C++ Library (libstdc++) has been updated and includes the
       following improvements and features over previous releases:

       . Additional C99 support

       . Bug fixes

       . I/0 performance tuning

       . stdio_filebuf that takes fd, FILE

       . __cxa_demangle is now defined in cxxabi.h for C++ demangling

       . Wide-io support

       . Tuning for executable size and memory allocation

       . Support for symbol versioning for exported symbols and include files

       . Doxygen documentation has been extended, including man pages

       . basic_string optimizations and MT fixes

       . Full named locale support for all facets, choice of gnu,
       ieee_1003.1-200x (POSIX 2), or generic models

     o The GNU binutils has been updated to 2.13 and includes the following
       improvements and features over previous releases:

       . size: Add --totals to display summary of sizes (Berkeley format
       only)

       . readelf: Add --wide option to not break section header or segment
       listing lines to fit into 80 columns

       . strings: Add --encoding to display wide character strings

       . objcopy: Add --rename-section to change section names

       . readelf: Support added for DWARF 2.1 extensions. Support added for
       displaying the contents of .debug.macinfo sections

       . New command line switches added to objcopy to allow symbols to be
       kept as global symbols, and also to specify files containing lists of
       such symbols

       . New command line switch to objcopy --alt-machine-code which creates
       a binary with an alternate machine code if one is defined in the
       architecture description. Only supported for ELF targets

       . New command line switch to objcopy -B (or --binary-architecture)
       which sets the architecture of the output file to the given argument.
       This option only makes sense, if the input target is binary. Otherwise
       it is ignored

     o Experimental prelink support is included

       Prelink is a utility that modifies ELF shared libraries and
       executables. This results in no symbol lookups at startup time and
       fewer relocations to be applied, which allows programs to start faster
       and occupy less memory.

       To prelink all binaries and libraries in directories specified in the
       prelink configuration file run the following command as root:

       /usr/sbin/prelink --all --conserve-memory

       To revert binaries and libraries into the original state run:

       /usr/sbin/prelink --undo -all

       When libraries are upgraded on prelinked a system, programs using
       those libraries won't be able to use the prelinking until prelink is
       run again (so they will start up at the same speed as they do without
       prelinking).

     o The system-wide Linux profiler (oprofile) has been added. Oprofile
       allows for the profiling of code transparently in the background,
       using the hardware performance counters of modern processors. The
       version of oprofile included in Red Hat Linux includes the following
       major improvements and features over previous oprofile releases:

       . Reworked to support the kernel included in Red Hat Linux 8.0

       . Option to exclude symbols in the op_time listing

       . oprofpp has a new reverse sort (-r) option

       . oprofpp -s is now much faster, and the percentages are now relative
       to the selected symbol

       . The System.map file is no longer required

       Note: The kernel's oprofile interface is still changing. Red Hat
       expects that future versions of the kernel may require new versions of
       the oprofile package in order to use the oprofile feature. If you use
       the oprofile interface for other code, expect the interface to change
       in errata releases of the kernel for Red Hat Linux 8.0, as well
       as in future releases of Red Hat Linux.

     o Perl has been updated to version 5.8, and includes the following new
       features and improvements over 5.6.x as shipped with Red Hat Linux
       7.3:

       . Threading and multiple interpreters

       . Full Unicode/UTF-8 support

       . Large file support

       Note that though source compatibility with previous versions of Perl
       has been preserved in this release, any binary modules will need to be
       recompiled.

     o The Apache HTTP server has been updated to version 2.0. The updated
       package replaces version 1.3 and has been renamed to httpd.

       . The auth_ldap, mod_put, mod_roaming mod_auth_any, mod_bandwidth,
       mod_throttle, and mod_dav modules have been removed.

       . WebDAV functionality is now included with the httpd package.

       . Some changes to existing configuration files are needed. Refer to
       the migration guide at /usr/share/doc/httpd-<ver>/migration.html for
       more details.

     o The main sendmail configuration file has moved from /etc/sendmail.cf
       to /etc/mail/sendmail.cf.

     o The Sendmail mail transport agent (MTA) has been updated to version
       8.12 and is no longer setuid root. Because of this, the mail queuing
       functionality needs to be able to connect to the mail server running
       on the local machine. Hence, DAEMON=no in /etc/sysconfig/sendmail is
       now ignored.

     o By default, the Sendmail mail transport agent (MTA) does not accept
       network connections from any host other than the local computer. If
       you want to configure Sendmail as a server for other clients, please
       edit /etc/mail/sendmail.mc and change DAEMON_OPTIONS to also listen on
       network devices or comment out this option all together. You will need
       to regenerate /etc/mail/sendmail.cf by running:

       m4 /etc/mail/sendmail.mc > /etc/mail/sendmail.cf

       Note that you must have the sendmail-cf package installed for this to
       work.

     o By default, the LPRng print spooler does not accept network
       connections from any host other than the local computer. If you want
       to configure LPRng as a server for other clients, edit /etc/lpd.perms.

       For more information and configuration examples, refer to the
       lpd.perms manual page accessible by typing man lpd.perms at a shell
       prompt.

     o There are observed issues upgrading Red Hat Linux 6.x, 7.0, 7.1, 7.2,
       7.3 and 8.0 systems running Ximian GNOME. The issue is caused by
       version overlap between the official Red Hat Linux RPMs and the Ximian
       RPMs. This configuration is not supported by Red Hat. You have several
       choices in resolving this issue:

       1) You may remove Ximian GNOME from your Red Hat Linux system prior to
       upgrading Red Hat Linux.

       2) You may upgrade Red Hat Linux, and then immediately reinstall
       Ximian GNOME.

       3) You may upgrade Red Hat Linux, and then immediately remove all
       remaining Ximian RPMs, and replace them with the corresponding Red Hat
       Linux RPMs.

       You must resolve the version overlap using one of the above choices.
       Failure to do so will result in an unstable GNOME configuration.

     o The Netscape(TM) Web browser has been removed.

     o The Mozilla Web browser has been updated to version 1.01 and features
       improvements in speed, stability, and standards compliance.

     o The semi package, which provides MIME features for Emacs mail client
       access, has been merged into the wl (Wanderlust) package, since there
       are no other packages which require the semi library. Wanderlust is an
       IMAP4, POP, and NNTP client for Emacs.

     o The RPM Package Manager (RPM) functionality has been separated into
       two packages with distinct functionalities. The rpm package is for
       installing, querying, verifying and removing RPM packages from your
       Red Hat Linux system; the rpm-build package is for building and
       creating RPM packages for your Red Hat Linux system. Refer to the
       manual pages for both rpm and rpmbuild by typing man rpm and man
       rpmbuild at a shell prompt for more information about these commands.

     o RPM verifies digital signatures when reading packages during
       installation. In order to verify signatures for packages after
       installation, the package's public key must be imported into the rpm
       database. For example, to import the Red Hat public key, type the
       following as root at a shell prompt:

       rpm --import /usr/share/doc/rpm-<version>/RPM-GPG-KEY

       Note that this key will be imported the first time up2date is run.

       After importing the public key, you can verify package digest and
       signature information using the following command:

       rpm -K -V package_name

     o RPM will also suggest package(s) that will satisfy unresolved
       dependencies if the rpmdb-redhat package is installed. For example, if
       you are attempting to upgrade the gnumeric without a necessary
       library, you will see the following message:

       rpm -Uvh gnumeric-1.0.5-5.i386.rpm

       error: Failed dependencies:

       libbonobo-print.so.2 is needed by gnumeric-1.0.5-5

       libbonobo.so.2 is needed by gnumeric-1.0.5-5

       libbonobox.so.2 is needed by gnumeric-1.0.5-5

       Suggested resolutions:

       bonobo-1.0.20-3.i386.rpm

       The above mechanism is equivalent to (and will replace) the existing
       --redhatprovides mechanism.

     o GNU Ghostscript has been upgraded to version 7.05.

     o By default, top and ps only display the main (initial) thread of
       thread-aware processes. To show all threads, use the command ps -m or
       type H in top.

     o The junkbuster proxy filter package has been replaced by the privoxy
       package which can now filter animations, pop-ups, refresh tags, and
       webbugs.

     o If you are upgrading from Red Hat Linux 7.2 or earlier and have an
       older version of PostgreSQL installed than PostgreSQL 7.2, you must
       dump your database to a file before upgrading. You can then restore
       the database after the upgrade. Information on dumping a database to a
       file can be found by typing man pg_dumpall at a shell prompt.

     o Red Hat Linux 8.0 contains the following new configuration and
       system tools:

       Log Viewer (redhat-logviewer)

       NFS Configuration Tool (redhat-config-nfs)

       X Configuration Tool (redhat-config-xfree86)

       Sound Card Configuration Tool (redhat-config-soundcard)

       Language Selection Tool (redhat-config-language)

       Keyboard Configuration Tool (redhat-config-keyboard)

       Mouse Configuration Tool (redhat-config-mouse)

       Root Password Tool (redhat-config-rootpassword)

       Security Level Configuration Tool (redhat-config-securitylevel)

       Package Management Tool (redhat-config-packages)

     o The following packages have been renamed:

       apache, apache-devel, and apache-manual - renamed httpd, httpd-devel,
       and httpd-manual

       apacheconf - renamed redhat-config-httpd

       bindconf - renamed redhat-config-bind

       dateconfig - renamed redhat-config-date

       ksconfig - renamed redhat-config-kickstart

       printconf - renamed redhat-config-printer

       printconf-gui - renamed redhat-config-printer-gui

       serviceconf - renamed redhat-config-services

       sysctlconfig - renamed redhat-config-proc

     o Some of the configuration tools use pam_timestamp, a module for
       implementing sudo-style authentication timestamps via PAM. The
       authentication function checks for the existence of the timestamp
       file. If the file exists and is less than five minutes old (the same
       default as sudo), authentication succeeds without prompting for the
       root password again.

       If a program with pam_timestamp support is started from the Main Menu
       button or Nautilus and successfully authenticated, a key icon will
       appear in the panel notification area to show that an authenticated
       user has cached root authentication. When the authentication expires,
       the icon is removed.

Package Reorganization

   The following packages have been replaced:

     o Xconfigurator - replaced by redhat-config-xfree86

     o ucd-snmp - replaced by net-snmp

     o ee - replaced by eog

     o gtop - replaced by gnome-system-monitor

     o console-tools - replaced by kbd

     o junkbuster - replaced by privoxy

     o python-xmlrpc - now part of python

     o ncftp - is still available to install, but lftp is now the default FTP
       client installed.

   The following packages have been removed from this release of Red Hat
   Linux:

     o alien

     o auth_ldap

     o blt

     o dip

     o fvwm2

     o elm

     o extace

     o glms

     o gnomeicu

     o gnome-pim

     o gnorpm

     o gphoto

     o gq

     o ical

     o jikes

     o kaffe

     o kontrol-panel

     o metamail

     o micq

     o mm

     o mod_auth_any

     o mod_bandwidth

     o mod_dav

     o mod_put

     o mod_roaming

     o mod_throttle

     o netscape

     o playmidi

     o pump

     o rpmfind

     o rpmlint

     o rxvt

     o sliplogin

     o smpeg

     o smpeg-xmms

     o snavigator

     o taper

     o xbill

     o xdaliclock

     o xlockmore

     o xmailbox

     o xpilot

   The following packages have been deprecated and will be removed in a
   future release of Red Hat Linux:

     o LPRng (although it remains the default print spooler for this release)

     o lilo

     o sndconfig

Kernel Notes

   The kernel used in this release contains the following improvements and
   new features: Adaptec U320 support, updated aacraid driver, speakup
   accessibility, HZ=512 for i686 and Athlon, and network console and crash
   dump. Also, there are several small improvements not listed here. The
   kernel is based on the 2.4.18 with selected bits from the 2.4.19 and the
   -ac patchset.

     o The kernel included in Red Hat Linux 8.0 is compiled with GCC
       version 3.2. Testing has shown that it is not possible to use kernel
       modules compiled with older (GCC 2.96 or previous) GCC compilers with
       GCC 3.2 compiled kernels. The kernel includes workarounds for older
       GCC bugs that change the signatures of data structures. These
       restrictions are not in use when GCC 3.2 is used. All kernel modules
       included in Red Hat Linux 8.0 are compiled with GCC 3.2;
       however, when using third-party modules it is important to make sure
       that every module and its dependent objects, in their entirety, is
       compiled with GCC 3.2. The modutils programs insmod and modprobe have
       rudimentary checks for this and will prevent loading of modules in the
       case of compiler version mismatches; these modules can be forced to
       load via the -f parameter.

     o HZ=512 on i686 and Athlon means that the system clock ticks 5 times as
       fast as on other x86 platforms (i386 and i586); HZ=100 has been the
       Linux default on x86 platforms for the entire history of the Linux
       kernel. This change provides better interactive response, lower
       latency response from some programs, and better response from the
       scheduler. We have adjusted the /proc file system to report numbers as
       if using the default HZ=100.

     o The kernel now supports up to 256 scsi disks (the previous limit was
       128).

     o The latest aacraid driver now includes 64-bit support. It has been
       observed (on the newest version of aacraid hardware and firmware) to
       have much higher performance on systems with more than 4GB of system
       memory when using the bigmem kernel.

     o The network console and crash dump functionality from Red Hat Linux
       Advanced Server 2.1 has been ported to this release. Documentation for
       setting this up is included in the netdump and netdump-server packages
       and is also available as a white paper at the following URL:
       http://www.redhat.com/support/wpapers/redhat/netdump/index.html

     o The Red Hat Linux 8.0 kernel contains a preview release of a new
       client called kafs for the AFS distributed filesystem. This client is
       not yet fully featured and provides only read-only mode. The client is
       for testing purposes only and is not supported.

     o DMA is disabled on CD-ROM drives in this release in a different but
       more reliable way than previously. If you are sure that your CD-ROM
       drive is capable of IDE DMA, place the following line in the
       /etc/modules.conf file:

       options ide-cd dma=1

     o Special Note: The ACL support added to the kernel in the first two
       public beta releases proved to be unstable and caused the kernel to
       regress in terms of standards compliance. Red Hat has therefore
       removed that ACL support from the kernel for Red Hat Linux 8.0.
       Kernel engineers will continue work on improving the ACL support,
       which will be available in a future release. The attr and acl packages
       needed to support ACLs are still included to make it easier for users
       and developers who wish to test ACLs. Red Hat may, at our discretion,
       provide ACL support for this release of Red Hat Linux by means of an
       upgrade, if future testing demonstrates that the ACL support has
       sufficiently improved in quality.
